package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.ReckonDaydividecount;
import com.muchinfo.mtp3pojos.vo.settlement.*;
import org.springframework.web.multipart.MultipartHttpServletRequest;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ISettlementService {
    PageResult<SecondProfitSharResult> sharedayquery(String tradedate, Integer areatype, Integer pageNum, Integer pageSize, HttpServletRequest request);

    PageResult<SecondProfitSharDetailResult> view(SecondProfitSharDetailParam param, HttpServletRequest request);

    AjaxResult export(String tradedate, HttpServletRequest request);

    AjaxResult<ReckonDaydividecount> detail(String tradedate, Integer areatype, Long areaid, HttpServletRequest request);

    AjaxResult batchPay(String areaids, Integer tradedate, HttpServletRequest request);

    PageResult<PositionTransferQueryResult> positiontransferquery(PositionTransferQueryParam param, HttpServletRequest request);

    AjaxResult<PositionTransferQueryResult> positiontransferdetail(String applyid, HttpServletRequest request);

    AjaxResult<PositionTransferImport> batchimport(MultipartHttpServletRequest request);

    AjaxResult saveimport(List<PositionTransferImport> param, HttpServletRequest request);
}
